## gate.gui
Class AccessRightsDialog

    java.lang.Object
      |
      +--gate.gui.AccessRightsDialog

public class AccessRightsDialog
extends Object

Constructor Summary
`AccessRightsDialog()`

Method Summary
`static int` `getSelectedMode()`
`static boolean` `showDialog(Component parentComponent)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessRightsDialog

    public AccessRightsDialog()

Method Detail

### showDialog

    public static boolean showDialog(Component parentComponent)

### getSelectedMode

    public static int getSelectedMode()